
%global meadversion 1.2.0
%global namedversion 1.2.0.redhat-12
%global meadalpha .redhat_12
%global meadrel .1
%global serial 2
%global namedversionrel redhat-12

%bcond_without mead

%{?scl:%scl_package xml-commons-resolver}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.0.redhat-12

Name:           %{?scl_prefix}xml-commons-resolver
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XML Commons Resolver Component
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xml-resolver-1.2.0.redhat-12-project-sources.tar.gz
Source102: xml-resolver-1.2.0.redhat-12-scm-sources.zip
Source103: xml-resolver-1.2.0.redhat-12-javadoc.jar
Source104: xml-resolver-1.2.0.redhat-12-sources.jar
Source105: xml-resolver-1.2.0.redhat-12.jar
Source106: xml-resolver-1.2.0.redhat-12.pom
%endif

URL:            http://xerces.apache.org/xml-commons/components/resolver/
Source1:        xml-commons-resolver-resolver.sh
Source2:        xml-commons-resolver-xread.sh
Source3:        xml-commons-resolver-xparse.sh
Requires:       %{?scl_prefix}xml-resolver = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xml-resolver-%{namedversion}-%{release}-root

%description
xml-commons provides an Apache-hosted set of DOM, SAX, and JAXP interfaces
for use in other xml-based projects. Our hope is that we can standardize on
both a common version and packaging scheme for these critical XML standards
interfaces to make the lives of both our developers and users easier.

%package -n %{?scl_prefix}xml-resolver
Summary:        XML Commons Resolver Component
Group:          Development/Java


%description -n %{?scl_prefix}xml-resolver
xml-commons provides an Apache-hosted set of DOM, SAX, and JAXP interfaces
for use in other xml-based projects. Our hope is that we can standardize on
both a common version and packaging scheme for these critical XML standards
interfaces to make the lives of both our developers and users easier.

%prep
%setup -q -n xml-resolver-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xml-resolver-%{namedversion}.jar %{buildroot}%{_javadir}/xml-resolver-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xml-resolver-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xml-resolver-%{namedversion}-sources.jar
#%{__ln_s} xml-resolver-%{namedversion}.jar %{buildroot}%{_javadir}/xml-commons-resolver-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}xml-commons-resolver
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}xml-resolver
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE README.txt
%if 0
%attr(0755,root,root) %{_bindir}/xml-resolver
%attr(0755,root,root) %{_bindir}/xml-xparse
%attr(0755,root,root) %{_bindir}/xml-xread
%endif
%{_javadir}/xml-resolver-%{namedversion}.jar
%{_javadir}/xml-resolver.jar
%{_javadir}/xml-resolver-%{namedversion}-sources.jar
%{_javadir}/xml-resolver-sources.jar


%changelog
* Wed Nov 30 2022 Permaine Cheung <pcheung@redhat.com> - 1.2.0-2.redhat_12.1
- Do not link to create xml-commons-resolver jar

* Fri May 27 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.2.0-1.redhat_12.1
Built by CPaaS
